#ifndef _JRN_SEEGSCRIPT_H_
#define _JRN_SEEGSCRIPT_H_
#include "SeeGraph.h"

/* Processes a seeGScript file */
void seeGraphScript();
void InitSeeGScript(char *);
void InitRecordScript();
void RecordScript_Load(char **argv, int argc, int f);
void RecordScript_Keyboard(unsigned char,int,int);
void RecordScript_Mouse(int,int,int,int);
void RecordScript_SpecialKeyboard(int,int,int);
void RecordScript_QueryKeyboard(unsigned char,int,int);
void RecordScript_QueryMouse(int,int,int,int);

extern int featureColors;

typedef struct {
	int PreviousLine;
	int CurrentLine;
	int numLines;
	char ***Lines;
	int *argCount;
	int *LineJump;
	int numDataSets;
	char **DataSets;
	float localVariables[10];
} structScriptData;

#endif
